//////////////////////////////////////////////////////////////////
//	(c) Diamond Systems Corporation 2004
//	
//	http://www.diamondsystems.com
//
//////////////////////////////////////////////////////////////////

#ifndef _DIAGNOSTIC_H
#define _DIAGNOSTIC_H

int menu();
BYTE InitBoard(BYTE boardType);
BYTE DiagMenu(BYTE boardType);
BYTE DiagTest(BYTE boardType);
BYTE DIOUserTest(BYTE boardType, DSCB dscb);
BYTE eeprom(BYTE boardType);
BYTE refVoltage(BYTE boardType);
BYTE measureReference(BYTE boardType);
void continueScreen();
void endScreen();
int quitScreen();
void UserFunc();
void DAJumperMenu(BYTE boardType);

DSCSAMPLE voltToADCode(BYTE boardType, BYTE mode, FLOAT volt);
FLOAT ADCodeToVolt(BYTE boardType, BYTE mode, DSCSAMPLE adcode);
BYTE DAMinMaxVolt(BYTE boardType, FLOAT * min, FLOAT * max);

void displayEEPROMInfo(int d);
BYTE referenceVoltages(int display);
BYTE getReference(FLOAT * reference);
BYTE getDMM48Mode();
BYTE SetAllTrimDAC(DSCB dscb, BYTE value);
long ms();

int optionInput(char * data);
void fileprint(char * message);
void errormessage(char * message);
void getParams(ERRPARAMS * errparams, DSCB * dscb, char* errorString, FILE * logfile, bool * logBool);


#endif