#include <stdio.h>
#include <conio.h>
#include <signal.h>
#include <stdlib.h>
#include <float.h>
#include <math.h>
#include <string.h>


// definitions
#define USHORT	unsigned short
#define UCHAR	unsigned char
#define ULONG	unsigned long
#define RESET	_outp(BaseAddress, 0x40)

class CPrm_DAQ
{
	
	public:
	USHORT	BaseAddress;
	USHORT	IrqNumber;
	USHORT	DmaLevel;
	UCHAR	Select1;
	UCHAR	Frequency1;
	UCHAR	Frequency0;
	short	FifoThreshold;
	short	Int;

	public:
	// prototypes
	int DigitalInt(void *lpfunc);
	int TimerInt(void *lpfunc, int rate);
	void CtrGateDisable(short ctrno);
	void CtrGateEnable(short ctrno);
	void CtrDirectSet(UCHAR ctrconfig);
	void CtrPause(short ctrno);
	void CtrEnable(short ctrno);
	void CtrLoad(short ctrno, ULONG data);
	void CtrClear(short ctrno);
	short CtrSetRate(short ctrno, UCHAR rate);
	ULONG CtrRead(short ctrno);
	void CtrConfig(short ctrno, UCHAR clkfrq, UCHAR clksel);
	USHORT DigitalInBit(USHORT port, USHORT Bitno);
	short DigitalOutBit(USHORT port, USHORT Bitno, short BitVal);
	UCHAR DigitalInByte(USHORT port);
	short DigitalOutByte(USHORT port, UCHAR data);
	void DIOConfigDirect(UCHAR conifg);
	void DIOConfig(UCHAR DirA, UCHAR DirB, UCHAR DirCh, UCHAR DirCl, UCHAR CtrIO);
	short DAConvert( USHORT Channel, USHORT DAValue);
	void DAConvertScan(USHORT *lpChannel, USHORT *lpDAValue);
	short DoADInt(short FifoThreshold, short ScanEnable);
	void ADScanInt(short FifoThreshold);
	void ADSampleInt(short FifoThreshold);
	void ADScan(short *lpArray, short high, short low);
	short ADSample(void);
	short Do_adsample(void);
	void ADSetSettings(	UCHAR LowChannel, UCHAR HighChannel, UCHAR Gain	);
	short Init(	USHORT baseaddr, UCHAR irqno, UCHAR dmalev, 
					UCHAR cksel1, UCHAR ckfrq1, UCHAR ckfrq0	);
};